#
# Generated Makefile - do not edit!
#
# Edit the Makefile in the project folder instead (../Makefile). Each target
# has a -pre and a -post target defined where you can add customized code.
#
# This makefile implements configuration specific macros and targets.


# Include project Makefile
ifeq "${IGNORE_LOCAL}" "TRUE"
# do not include local makefile. User is passing all local related variables already
else
include Makefile
# Include makefile containing local settings
ifeq "$(wildcard nbproject/Makefile-local-default.mk)" "nbproject/Makefile-local-default.mk"
include nbproject/Makefile-local-default.mk
endif
endif

# Environment
MKDIR=gnumkdir -p
RM=rm -f 
MV=mv 
CP=cp 

# Macros
CND_CONF=default
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
IMAGE_TYPE=debug
OUTPUT_SUFFIX=elf
DEBUGGABLE_SUFFIX=elf
FINAL_IMAGE=dist/${CND_CONF}/${IMAGE_TYPE}/BEDS2.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
else
IMAGE_TYPE=production
OUTPUT_SUFFIX=hex
DEBUGGABLE_SUFFIX=elf
FINAL_IMAGE=dist/${CND_CONF}/${IMAGE_TYPE}/BEDS2.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
endif

ifeq ($(COMPARE_BUILD), true)
COMPARISON_BUILD=-mafrlcsj
else
COMPARISON_BUILD=
endif

# Object Directory
OBJECTDIR=build/${CND_CONF}/${IMAGE_TYPE}

# Distribution Directory
DISTDIR=dist/${CND_CONF}/${IMAGE_TYPE}

# Source Files Quoted if spaced
SOURCEFILES_QUOTED_IF_SPACED=../beds/ConfigPerformance.c ../beds/beds.c ../beds/bedsUI.c ../beds/buffer.c ../beds/clock.c ../beds/dig_io.c ../beds/exceptn.c ../beds/file.c ../beds/fileUtils.c ../beds/getopt.c ../beds/imu.c ../beds/modem.c ../beds/picConfig.c ../beds/rtc.c ../beds/spi.c ../beds/syslog.c ../beds/utils.c ../beds/variable.c ../beds/watch.c ../beds/bedsCmd.c ../beds/adc.c ../beds/config.c ../beds/serial.c ../beds/bedsDiag.c ../fatFs/ff.c ../fatFs/sdPIC32.c

# Object Files Quoted if spaced
OBJECTFILES_QUOTED_IF_SPACED=${OBJECTDIR}/_ext/761137407/ConfigPerformance.o ${OBJECTDIR}/_ext/761137407/beds.o ${OBJECTDIR}/_ext/761137407/bedsUI.o ${OBJECTDIR}/_ext/761137407/buffer.o ${OBJECTDIR}/_ext/761137407/clock.o ${OBJECTDIR}/_ext/761137407/dig_io.o ${OBJECTDIR}/_ext/761137407/exceptn.o ${OBJECTDIR}/_ext/761137407/file.o ${OBJECTDIR}/_ext/761137407/fileUtils.o ${OBJECTDIR}/_ext/761137407/getopt.o ${OBJECTDIR}/_ext/761137407/imu.o ${OBJECTDIR}/_ext/761137407/modem.o ${OBJECTDIR}/_ext/761137407/picConfig.o ${OBJECTDIR}/_ext/761137407/rtc.o ${OBJECTDIR}/_ext/761137407/spi.o ${OBJECTDIR}/_ext/761137407/syslog.o ${OBJECTDIR}/_ext/761137407/utils.o ${OBJECTDIR}/_ext/761137407/variable.o ${OBJECTDIR}/_ext/761137407/watch.o ${OBJECTDIR}/_ext/761137407/bedsCmd.o ${OBJECTDIR}/_ext/761137407/adc.o ${OBJECTDIR}/_ext/761137407/config.o ${OBJECTDIR}/_ext/761137407/serial.o ${OBJECTDIR}/_ext/761137407/bedsDiag.o ${OBJECTDIR}/_ext/2116834121/ff.o ${OBJECTDIR}/_ext/2116834121/sdPIC32.o
POSSIBLE_DEPFILES=${OBJECTDIR}/_ext/761137407/ConfigPerformance.o.d ${OBJECTDIR}/_ext/761137407/beds.o.d ${OBJECTDIR}/_ext/761137407/bedsUI.o.d ${OBJECTDIR}/_ext/761137407/buffer.o.d ${OBJECTDIR}/_ext/761137407/clock.o.d ${OBJECTDIR}/_ext/761137407/dig_io.o.d ${OBJECTDIR}/_ext/761137407/exceptn.o.d ${OBJECTDIR}/_ext/761137407/file.o.d ${OBJECTDIR}/_ext/761137407/fileUtils.o.d ${OBJECTDIR}/_ext/761137407/getopt.o.d ${OBJECTDIR}/_ext/761137407/imu.o.d ${OBJECTDIR}/_ext/761137407/modem.o.d ${OBJECTDIR}/_ext/761137407/picConfig.o.d ${OBJECTDIR}/_ext/761137407/rtc.o.d ${OBJECTDIR}/_ext/761137407/spi.o.d ${OBJECTDIR}/_ext/761137407/syslog.o.d ${OBJECTDIR}/_ext/761137407/utils.o.d ${OBJECTDIR}/_ext/761137407/variable.o.d ${OBJECTDIR}/_ext/761137407/watch.o.d ${OBJECTDIR}/_ext/761137407/bedsCmd.o.d ${OBJECTDIR}/_ext/761137407/adc.o.d ${OBJECTDIR}/_ext/761137407/config.o.d ${OBJECTDIR}/_ext/761137407/serial.o.d ${OBJECTDIR}/_ext/761137407/bedsDiag.o.d ${OBJECTDIR}/_ext/2116834121/ff.o.d ${OBJECTDIR}/_ext/2116834121/sdPIC32.o.d

# Object Files
OBJECTFILES=${OBJECTDIR}/_ext/761137407/ConfigPerformance.o ${OBJECTDIR}/_ext/761137407/beds.o ${OBJECTDIR}/_ext/761137407/bedsUI.o ${OBJECTDIR}/_ext/761137407/buffer.o ${OBJECTDIR}/_ext/761137407/clock.o ${OBJECTDIR}/_ext/761137407/dig_io.o ${OBJECTDIR}/_ext/761137407/exceptn.o ${OBJECTDIR}/_ext/761137407/file.o ${OBJECTDIR}/_ext/761137407/fileUtils.o ${OBJECTDIR}/_ext/761137407/getopt.o ${OBJECTDIR}/_ext/761137407/imu.o ${OBJECTDIR}/_ext/761137407/modem.o ${OBJECTDIR}/_ext/761137407/picConfig.o ${OBJECTDIR}/_ext/761137407/rtc.o ${OBJECTDIR}/_ext/761137407/spi.o ${OBJECTDIR}/_ext/761137407/syslog.o ${OBJECTDIR}/_ext/761137407/utils.o ${OBJECTDIR}/_ext/761137407/variable.o ${OBJECTDIR}/_ext/761137407/watch.o ${OBJECTDIR}/_ext/761137407/bedsCmd.o ${OBJECTDIR}/_ext/761137407/adc.o ${OBJECTDIR}/_ext/761137407/config.o ${OBJECTDIR}/_ext/761137407/serial.o ${OBJECTDIR}/_ext/761137407/bedsDiag.o ${OBJECTDIR}/_ext/2116834121/ff.o ${OBJECTDIR}/_ext/2116834121/sdPIC32.o

# Source Files
SOURCEFILES=../beds/ConfigPerformance.c ../beds/beds.c ../beds/bedsUI.c ../beds/buffer.c ../beds/clock.c ../beds/dig_io.c ../beds/exceptn.c ../beds/file.c ../beds/fileUtils.c ../beds/getopt.c ../beds/imu.c ../beds/modem.c ../beds/picConfig.c ../beds/rtc.c ../beds/spi.c ../beds/syslog.c ../beds/utils.c ../beds/variable.c ../beds/watch.c ../beds/bedsCmd.c ../beds/adc.c ../beds/config.c ../beds/serial.c ../beds/bedsDiag.c ../fatFs/ff.c ../fatFs/sdPIC32.c


CFLAGS=
ASFLAGS=
LDLIBSOPTIONS=

############# Tool locations ##########################################
# If you copy a project from one host to another, the path where the  #
# compiler is installed may be different.                             #
# If you open this project with MPLAB X in the new host, this         #
# makefile will be regenerated and the paths will be corrected.       #
#######################################################################
# fixDeps replaces a bunch of sed/cat/printf statements that slow down the build
FIXDEPS=fixDeps

.build-conf:  ${BUILD_SUBPROJECTS}
ifneq ($(INFORMATION_MESSAGE), )
	@echo $(INFORMATION_MESSAGE)
endif
	${MAKE}  -f nbproject/Makefile-default.mk dist/${CND_CONF}/${IMAGE_TYPE}/BEDS2.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}

MP_PROCESSOR_OPTION=32MX470F512L
MP_LINKER_FILE_OPTION=
# ------------------------------------------------------------------------------------
# Rules for buildStep: assemble
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
else
endif

# ------------------------------------------------------------------------------------
# Rules for buildStep: assembleWithPreprocess
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
else
endif

# ------------------------------------------------------------------------------------
# Rules for buildStep: compile
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
${OBJECTDIR}/_ext/761137407/ConfigPerformance.o: ../beds/ConfigPerformance.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/ConfigPerformance.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/ConfigPerformance.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/ConfigPerformance.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/ConfigPerformance.o.d" -o ${OBJECTDIR}/_ext/761137407/ConfigPerformance.o ../beds/ConfigPerformance.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/beds.o: ../beds/beds.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/beds.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/beds.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/beds.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/beds.o.d" -o ${OBJECTDIR}/_ext/761137407/beds.o ../beds/beds.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/bedsUI.o: ../beds/bedsUI.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsUI.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsUI.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/bedsUI.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/bedsUI.o.d" -o ${OBJECTDIR}/_ext/761137407/bedsUI.o ../beds/bedsUI.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/buffer.o: ../beds/buffer.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/buffer.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/buffer.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/buffer.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/buffer.o.d" -o ${OBJECTDIR}/_ext/761137407/buffer.o ../beds/buffer.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/clock.o: ../beds/clock.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/clock.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/clock.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/clock.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/clock.o.d" -o ${OBJECTDIR}/_ext/761137407/clock.o ../beds/clock.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/dig_io.o: ../beds/dig_io.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/dig_io.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/dig_io.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/dig_io.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/dig_io.o.d" -o ${OBJECTDIR}/_ext/761137407/dig_io.o ../beds/dig_io.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/exceptn.o: ../beds/exceptn.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/exceptn.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/exceptn.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/exceptn.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/exceptn.o.d" -o ${OBJECTDIR}/_ext/761137407/exceptn.o ../beds/exceptn.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/file.o: ../beds/file.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/file.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/file.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/file.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/file.o.d" -o ${OBJECTDIR}/_ext/761137407/file.o ../beds/file.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/fileUtils.o: ../beds/fileUtils.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/fileUtils.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/fileUtils.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/fileUtils.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/fileUtils.o.d" -o ${OBJECTDIR}/_ext/761137407/fileUtils.o ../beds/fileUtils.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/getopt.o: ../beds/getopt.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/getopt.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/getopt.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/getopt.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/getopt.o.d" -o ${OBJECTDIR}/_ext/761137407/getopt.o ../beds/getopt.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/imu.o: ../beds/imu.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/imu.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/imu.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/imu.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/imu.o.d" -o ${OBJECTDIR}/_ext/761137407/imu.o ../beds/imu.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/modem.o: ../beds/modem.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/modem.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/modem.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/modem.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/modem.o.d" -o ${OBJECTDIR}/_ext/761137407/modem.o ../beds/modem.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/picConfig.o: ../beds/picConfig.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/picConfig.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/picConfig.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/picConfig.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/picConfig.o.d" -o ${OBJECTDIR}/_ext/761137407/picConfig.o ../beds/picConfig.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/rtc.o: ../beds/rtc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/rtc.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/rtc.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/rtc.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/rtc.o.d" -o ${OBJECTDIR}/_ext/761137407/rtc.o ../beds/rtc.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/spi.o: ../beds/spi.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/spi.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/spi.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/spi.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/spi.o.d" -o ${OBJECTDIR}/_ext/761137407/spi.o ../beds/spi.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/syslog.o: ../beds/syslog.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/syslog.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/syslog.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/syslog.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/syslog.o.d" -o ${OBJECTDIR}/_ext/761137407/syslog.o ../beds/syslog.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/utils.o: ../beds/utils.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/utils.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/utils.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/utils.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/utils.o.d" -o ${OBJECTDIR}/_ext/761137407/utils.o ../beds/utils.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/variable.o: ../beds/variable.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/variable.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/variable.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/variable.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/variable.o.d" -o ${OBJECTDIR}/_ext/761137407/variable.o ../beds/variable.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/watch.o: ../beds/watch.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/watch.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/watch.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/watch.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/watch.o.d" -o ${OBJECTDIR}/_ext/761137407/watch.o ../beds/watch.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/bedsCmd.o: ../beds/bedsCmd.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsCmd.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsCmd.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/bedsCmd.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/bedsCmd.o.d" -o ${OBJECTDIR}/_ext/761137407/bedsCmd.o ../beds/bedsCmd.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/adc.o: ../beds/adc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/adc.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/adc.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/adc.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/adc.o.d" -o ${OBJECTDIR}/_ext/761137407/adc.o ../beds/adc.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/config.o: ../beds/config.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/config.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/config.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/config.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/config.o.d" -o ${OBJECTDIR}/_ext/761137407/config.o ../beds/config.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/serial.o: ../beds/serial.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/serial.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/serial.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/serial.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/serial.o.d" -o ${OBJECTDIR}/_ext/761137407/serial.o ../beds/serial.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/bedsDiag.o: ../beds/bedsDiag.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsDiag.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsDiag.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/bedsDiag.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/bedsDiag.o.d" -o ${OBJECTDIR}/_ext/761137407/bedsDiag.o ../beds/bedsDiag.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/2116834121/ff.o: ../fatFs/ff.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/2116834121" 
	@${RM} ${OBJECTDIR}/_ext/2116834121/ff.o.d 
	@${RM} ${OBJECTDIR}/_ext/2116834121/ff.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/2116834121/ff.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/2116834121/ff.o.d" -o ${OBJECTDIR}/_ext/2116834121/ff.o ../fatFs/ff.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/2116834121/sdPIC32.o: ../fatFs/sdPIC32.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/2116834121" 
	@${RM} ${OBJECTDIR}/_ext/2116834121/sdPIC32.o.d 
	@${RM} ${OBJECTDIR}/_ext/2116834121/sdPIC32.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/2116834121/sdPIC32.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_REAL_ICE=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/2116834121/sdPIC32.o.d" -o ${OBJECTDIR}/_ext/2116834121/sdPIC32.o ../fatFs/sdPIC32.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
else
${OBJECTDIR}/_ext/761137407/ConfigPerformance.o: ../beds/ConfigPerformance.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/ConfigPerformance.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/ConfigPerformance.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/ConfigPerformance.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/ConfigPerformance.o.d" -o ${OBJECTDIR}/_ext/761137407/ConfigPerformance.o ../beds/ConfigPerformance.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/beds.o: ../beds/beds.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/beds.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/beds.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/beds.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/beds.o.d" -o ${OBJECTDIR}/_ext/761137407/beds.o ../beds/beds.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/bedsUI.o: ../beds/bedsUI.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsUI.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsUI.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/bedsUI.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/bedsUI.o.d" -o ${OBJECTDIR}/_ext/761137407/bedsUI.o ../beds/bedsUI.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/buffer.o: ../beds/buffer.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/buffer.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/buffer.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/buffer.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/buffer.o.d" -o ${OBJECTDIR}/_ext/761137407/buffer.o ../beds/buffer.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/clock.o: ../beds/clock.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/clock.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/clock.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/clock.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/clock.o.d" -o ${OBJECTDIR}/_ext/761137407/clock.o ../beds/clock.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/dig_io.o: ../beds/dig_io.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/dig_io.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/dig_io.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/dig_io.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/dig_io.o.d" -o ${OBJECTDIR}/_ext/761137407/dig_io.o ../beds/dig_io.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/exceptn.o: ../beds/exceptn.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/exceptn.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/exceptn.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/exceptn.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/exceptn.o.d" -o ${OBJECTDIR}/_ext/761137407/exceptn.o ../beds/exceptn.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/file.o: ../beds/file.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/file.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/file.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/file.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/file.o.d" -o ${OBJECTDIR}/_ext/761137407/file.o ../beds/file.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/fileUtils.o: ../beds/fileUtils.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/fileUtils.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/fileUtils.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/fileUtils.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/fileUtils.o.d" -o ${OBJECTDIR}/_ext/761137407/fileUtils.o ../beds/fileUtils.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/getopt.o: ../beds/getopt.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/getopt.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/getopt.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/getopt.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/getopt.o.d" -o ${OBJECTDIR}/_ext/761137407/getopt.o ../beds/getopt.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/imu.o: ../beds/imu.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/imu.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/imu.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/imu.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/imu.o.d" -o ${OBJECTDIR}/_ext/761137407/imu.o ../beds/imu.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/modem.o: ../beds/modem.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/modem.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/modem.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/modem.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/modem.o.d" -o ${OBJECTDIR}/_ext/761137407/modem.o ../beds/modem.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/picConfig.o: ../beds/picConfig.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/picConfig.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/picConfig.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/picConfig.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/picConfig.o.d" -o ${OBJECTDIR}/_ext/761137407/picConfig.o ../beds/picConfig.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/rtc.o: ../beds/rtc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/rtc.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/rtc.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/rtc.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/rtc.o.d" -o ${OBJECTDIR}/_ext/761137407/rtc.o ../beds/rtc.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/spi.o: ../beds/spi.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/spi.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/spi.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/spi.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/spi.o.d" -o ${OBJECTDIR}/_ext/761137407/spi.o ../beds/spi.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/syslog.o: ../beds/syslog.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/syslog.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/syslog.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/syslog.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/syslog.o.d" -o ${OBJECTDIR}/_ext/761137407/syslog.o ../beds/syslog.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/utils.o: ../beds/utils.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/utils.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/utils.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/utils.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/utils.o.d" -o ${OBJECTDIR}/_ext/761137407/utils.o ../beds/utils.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/variable.o: ../beds/variable.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/variable.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/variable.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/variable.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/variable.o.d" -o ${OBJECTDIR}/_ext/761137407/variable.o ../beds/variable.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/watch.o: ../beds/watch.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/watch.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/watch.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/watch.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/watch.o.d" -o ${OBJECTDIR}/_ext/761137407/watch.o ../beds/watch.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/bedsCmd.o: ../beds/bedsCmd.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsCmd.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsCmd.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/bedsCmd.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/bedsCmd.o.d" -o ${OBJECTDIR}/_ext/761137407/bedsCmd.o ../beds/bedsCmd.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/adc.o: ../beds/adc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/adc.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/adc.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/adc.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/adc.o.d" -o ${OBJECTDIR}/_ext/761137407/adc.o ../beds/adc.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/config.o: ../beds/config.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/config.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/config.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/config.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/config.o.d" -o ${OBJECTDIR}/_ext/761137407/config.o ../beds/config.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/serial.o: ../beds/serial.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/serial.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/serial.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/serial.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/serial.o.d" -o ${OBJECTDIR}/_ext/761137407/serial.o ../beds/serial.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/761137407/bedsDiag.o: ../beds/bedsDiag.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/761137407" 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsDiag.o.d 
	@${RM} ${OBJECTDIR}/_ext/761137407/bedsDiag.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/761137407/bedsDiag.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/761137407/bedsDiag.o.d" -o ${OBJECTDIR}/_ext/761137407/bedsDiag.o ../beds/bedsDiag.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/2116834121/ff.o: ../fatFs/ff.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/2116834121" 
	@${RM} ${OBJECTDIR}/_ext/2116834121/ff.o.d 
	@${RM} ${OBJECTDIR}/_ext/2116834121/ff.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/2116834121/ff.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/2116834121/ff.o.d" -o ${OBJECTDIR}/_ext/2116834121/ff.o ../fatFs/ff.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
${OBJECTDIR}/_ext/2116834121/sdPIC32.o: ../fatFs/sdPIC32.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/2116834121" 
	@${RM} ${OBJECTDIR}/_ext/2116834121/sdPIC32.o.d 
	@${RM} ${OBJECTDIR}/_ext/2116834121/sdPIC32.o 
	@${FIXDEPS} "${OBJECTDIR}/_ext/2116834121/sdPIC32.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../" -I"../beds" -I"../fatFs" -MMD -MF "${OBJECTDIR}/_ext/2116834121/sdPIC32.o.d" -o ${OBJECTDIR}/_ext/2116834121/sdPIC32.o ../fatFs/sdPIC32.c    -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD) 
	
endif

# ------------------------------------------------------------------------------------
# Rules for buildStep: compileCPP
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
else
endif

# ------------------------------------------------------------------------------------
# Rules for buildStep: link
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
dist/${CND_CONF}/${IMAGE_TYPE}/BEDS2.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}: ${OBJECTFILES}  nbproject/Makefile-${CND_CONF}.mk    
	@${MKDIR} dist/${CND_CONF}/${IMAGE_TYPE} 
	${MP_CC} $(MP_EXTRA_LD_PRE)  -mdebugger -D__MPLAB_DEBUGGER_REAL_ICE=1 -mprocessor=$(MP_PROCESSOR_OPTION)  -o dist/${CND_CONF}/${IMAGE_TYPE}/BEDS2.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX} ${OBJECTFILES_QUOTED_IF_SPACED}          -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD)    -mreserve=boot@0x1FC02000:0x1FC02FEF -mreserve=boot@0x1FC02000:0x1FC0275F  -Wl,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_LD_POST)$(MP_LINKER_FILE_OPTION),--defsym=__MPLAB_DEBUG=1,--defsym=__DEBUG=1,--defsym=__MPLAB_DEBUGGER_REAL_ICE=1,--defsym=_min_heap_size=96256,--defsym=_min_stack_size=4096,--no-check-sections,--gc-sections,--no-code-in-dinit,--no-dinit-in-serial-mem,-Map="${DISTDIR}/${PROJECTNAME}.${IMAGE_TYPE}.map",--memorysummary,dist/${CND_CONF}/${IMAGE_TYPE}/memoryfile.xml
	
else
dist/${CND_CONF}/${IMAGE_TYPE}/BEDS2.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}: ${OBJECTFILES}  nbproject/Makefile-${CND_CONF}.mk   
	@${MKDIR} dist/${CND_CONF}/${IMAGE_TYPE} 
	${MP_CC} $(MP_EXTRA_LD_PRE)  -mprocessor=$(MP_PROCESSOR_OPTION)  -o dist/${CND_CONF}/${IMAGE_TYPE}/BEDS2.X.${IMAGE_TYPE}.${DEBUGGABLE_SUFFIX} ${OBJECTFILES_QUOTED_IF_SPACED}          -DXPRJ_default=$(CND_CONF)  -legacy-libc  $(COMPARISON_BUILD)  -Wl,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_LD_POST)$(MP_LINKER_FILE_OPTION),--defsym=_min_heap_size=96256,--defsym=_min_stack_size=4096,--no-check-sections,--gc-sections,--no-code-in-dinit,--no-dinit-in-serial-mem,-Map="${DISTDIR}/${PROJECTNAME}.${IMAGE_TYPE}.map",--memorysummary,dist/${CND_CONF}/${IMAGE_TYPE}/memoryfile.xml
	${MP_CC_DIR}\\xc32-bin2hex dist/${CND_CONF}/${IMAGE_TYPE}/BEDS2.X.${IMAGE_TYPE}.${DEBUGGABLE_SUFFIX} 
endif


# Subprojects
.build-subprojects:


# Subprojects
.clean-subprojects:

# Clean Targets
.clean-conf: ${CLEAN_SUBPROJECTS}
	${RM} -r build/default
	${RM} -r dist/default

# Enable dependency checking
.dep.inc: .depcheck-impl

DEPFILES=$(shell mplabwildcard ${POSSIBLE_DEPFILES})
ifneq (${DEPFILES},)
include ${DEPFILES}
endif
